Download it now!
Bug 50193 - FILESAVE particular .xls (MSO 97) takes long time
Summary: FILESAVE particular .xls (MSO 97) takes long time
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: (target:3.6.2)
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-21 18:19 UTC by reg
Modified: 2013-02-11 15:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
XLS sheet that Rainer modified but still can reproduce bug (2.25 MB, application/xls)
2012-05-22 08:32 UTC, reg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description reg 2012-05-21 18:19:44 UTC
Calc takes 28 seconds(!) to save my 3mega sheet 
using ubuntu 12.04 and loffice 3.5.3.2 build2
while at the same machine, same hd and same file
usinf mint12 with loffice 3.44 build402 it's normal (3,5 seconds)

LibreOffice 3.5.3.2 
ID de versão: 350m1(Build:2)
Comment 1 Rainer Bielefeld Retired 2012-05-21 20:53:21 UTC
@reg 
Please attach a Sample document, if it's confidential please send it to me by mail.
Comment 2 reg 2012-05-22 05:41:55 UTC
Hi Rainer, no problems, i'm sending it to your personal email.
More info: other sheets i have don't have this bug. I open and save this file
from 3 different OS, the 2 mentioned and Win7 using OO 3.11.
Thanks for the fast reply.
Comment 3 Rainer Bielefeld Retired 2012-05-22 07:29:47 UTC
[Reproducible] with reporter's confidential document and "LibreOffice 3.5.4.1 (RC1) German UI/Locale [Build-ID: 7306755-f4f605c-738527d-1cf4bc1-9930dc8] on German WIN7 Home Premium (64bit). On my WIN PC it takes 90s to save the document as .xls, save as .ods is done within few seconds

No problem with OOo 3.2, LibO 3.3.3, LibO 3.4.5

I get a strange "Too many rows" message at end of file save process, may be document is damaged? But save as .ods and then again as .xls does not heal the problem, and LibO 3.3.3, 3.4.5 do not show that message.
Comment 4 Rainer Bielefeld Retired 2012-05-22 07:39:13 UTC
Indeed first observation with LibO 3.5.3 RC1

Stil works fine with
"LibreOffice 3.5.2.2 German UI/Locale [Build-ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45f] on German WIN7 Home Premium (64bit)
Comment 5 reg 2012-05-22 08:32:16 UTC
Created attachment 61964 [details]
XLS sheet that Rainer modified but still can reproduce bug
Comment 6 reg 2012-05-22 08:38:38 UTC
Hi Rainer, have attached your file for further testing. 
It never crashed with me, only the delay problem. 
No, i don't think it's damaged, or the other LibO and OOo versions would fail as well. As you have noted it's something related to the XLS format.
Thanks again. Best regards.
Comment 7 Matthieu 2012-12-27 13:59:27 UTC
Hello,

We have this bug on LibreOffice 3.5.7.2, 

Do you have a patch for this version?

Thank you.
Comment 8 reg 2012-12-27 21:50:01 UTC
Hi Matthieu, from my tests i can say that in the version 3.6.2 (ubuntu12.10 /mint14) this bug is not happening anymore.
Comment 9 Matthieu 2013-02-11 10:46:41 UTC
Hello,

We can't change version, so I'll try to correct/backport code to correct this problem.
Do you have any idea of a commit which will resolve this bug?

Thanks.
Comment 10 Rainer Bielefeld Retired 2013-02-11 11:00:34 UTC
I can confirm reg's observation with  "LibreOffice 3.6.5.2 " German UI/ German Locale [Build-ID: 5b93205] {pull date 2013-01-18} on German WIN7 Home Premium (64bit). So WFM for now.

I haven't a clue how to find out how the problem has been fixed.
Comment 11 Matthieu 2013-02-11 11:19:01 UTC
Thanks for the answer.
By putting the default row heights, i dont't have the bug anymore.
I will try to look this way.
Comment 12 Matthieu 2013-02-11 15:30:52 UTC
For information, with this commit the bug is resolved:
http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-6-0&id=de9c6a7829b08968491c8b57b5bd4f182e5e873e